Name:           xonotic
Version:        0.8.6
Release:        %mkrel 1
Summary:        A free multi-player first person shooter
Group:          Games/Shooter
License:        GPLv2+
Url:            http://www.xonotic.org
# Repacked from http://dl.xonotic.org/%%{name}-%%{version}.zip using Source1
Source0:        %{name}-%{version}.tar.xz
Source1:        prepare-source.sh
Patch1:         xonotic-ldflags.patch

BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-data >= %{version}

%description
Xonotic is a free (GPL), fast-paced first-person shooter that works on
Microsoft Windows, Mac OSX and Linux.

Xonotic is a direct successor of the Nexuiz Project.

It features much better quality graphics and visual effects.

Xonotic places focus on community involvement as its principal driving force
and structures itself to respect that. The aim of Xonotic is to become the
best possible open-source FPS (first-person-shooter) of its kind.

%prep
%autosetup -p1

%build
%make_build -C source/darkplaces sv-release cl-release sdl-release \
      CPUOPTIMIZATIONS="%{optflags}" STRIP=: \
      LDFLAGS_RELEASE="%{build_ldflags}" \
      DP_FS_BASEDIR=%{_gamesdatadir}/%{name}

%install
install -D -m755 source/darkplaces/darkplaces-dedicated %{buildroot}%{_gamesbindir}/%{name}-dedicated
install -D -m755 source/darkplaces/darkplaces-sdl %{buildroot}%{_gamesbindir}/%{name}-sdl
install -D -m755 source/darkplaces/darkplaces-glx %{buildroot}%{_gamesbindir}/%{name}-glx

for size in 16 32 64 128; do
  install -D -m644 misc/logos/icons_png/%{name}_${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
install -D -m644 misc/logos/%{name}_icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}-sdl.desktop << EOF
[Desktop Entry]
Name=Xonotic-SDL
Comment=Multi-player first person shooter (SDL)
Exec=%{name}-sdl
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-glx.desktop << EOF
[Desktop Entry]
Name=Xonotic-GLX
Comment=Multi-player first person shooter (GLX)
Exec=%{name}-glx
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;
EOF

%files
%{_gamesbindir}/%{name}-dedicated
%{_gamesbindir}/%{name}-sdl
%{_gamesbindir}/%{name}-glx
%{_datadir}/applications/%{name}-sdl.desktop
%{_datadir}/applications/%{name}-glx.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Thu Jun 22 2023 daviddavid <daviddavid> 0.8.6-1.mga8
+ Revision: 1962831
- new version: 0.8.6, fixes a security issue (mga#32038)
  https://xonotic.org/posts/2023/xonotic-0-8-6-release/
+ akien <akien>
- Version 0.8.5

* Tue Apr 21 2020 wally <wally> 0.8.2-6.mga8
+ Revision: 1570475
- add patch to use our linker flags to fix overlinking

* Fri Feb 14 2020 umeabot <umeabot> 0.8.2-4.mga8
+ Revision: 1518828
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2-3.mga7
+ Revision: 1301952
- Mageia 7 Mass Rebuild

* Mon Apr 03 2017 akien <akien> 0.8.2-2.mga6
+ Revision: 1095848
- Drop patch disabling SSE2, upstream now has logic to detect it

* Sun Apr 02 2017 akien <akien> 0.8.2-1.mga6
+ Revision: 1095704
- Version 0.8.2

* Fri Jan 08 2016 akien <akien> 0.8.1-1.mga6
+ Revision: 920617
- Version 0.8.1

* Tue Jan 05 2016 neoclust <neoclust> 0.8.0-4.mga6
+ Revision: 919861
- Rebuild with fixed patch for arm

* Tue Jan 05 2016 neoclust <neoclust> 0.8.0-3.mga6
+ Revision: 919847
- Do not use sse build option on arm

* Fri Oct 23 2015 daviddavid <daviddavid> 0.8.0-2.mga6
+ Revision: 894444
- do not strip binaries to fix empty debuginfo

* Fri Jan 16 2015 akien <akien> 0.8.0-1.mga5
+ Revision: 810986
- Version 0.8.0
- Build against SDL2
- Package dedicated server binary
- Repack upstream archive to get rid of binary content, and package data files separately
- Desktop category is Shooter

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 743592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 690736
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 527589
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 tv <tv> 0.7.0-1.mga4
+ Revision: 441422
- new release

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 387245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.6.0-2.mga3
+ Revision: 343870
- updated RPM group
+ dams <dams>
- clean specfile

* Sat Mar 10 2012 tv <tv> 0.6.0-1.mga2
+ Revision: 222351
- new release

* Thu Jan 19 2012 nelg <nelg> 0.5.0-1.mga2
+ Revision: 198253
- imported package xonotic


* Thu Jan 19 2012 Andrew Hill <andrewroberthill@gmail.com> 0.5.0-1.mga1
- imported package xonotic
- removed buildroot definition from spec
- updated Source0 to include full URL for download

* Sun Sep 11 2011 Andrey Bondrov <abondrov@mandriva.org> 0.5.0-2mdv2010.1
+ Revision: 699386
+ rebuild (emptylog)

* Sat Sep 10 2011 Andrey Bondrov <abondrov@mandriva.org> 0.5.0-1
+ Revision: 699204
- Use make clean first to fix i586 build
- Fix desktop file directory in spec as BS doesn't accept _desktopdir
- imported package xonotic


* Fri Sep 09 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.5.0-1mdv2010.2
- New version: 0.5.0
- Import from MIB to Contrib

* Thu Jan 20 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.1-69.1mib2010.2
- First release
- Do not include dedicated server
- Mandriva Italia Backports
